Unit tzp10r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP10R_p;

function tzp10r: String;

implementation

function tzp10r: String;
var
NP,_i,IERR :Integer;
ROOT :Array [0..2] of Complex;
DA :Array [0..3] of Real;
DZ :Array [0..3] of Real;
const
A :Array [0..3] of Real = ( -2.0,4.0,-3.0,1.0 );
begin
Result := '';  {   }
NP := 3;
ZP10R(NP,A,ROOT,DA,DZ,IERR);
Result := Result + Format('%5d ',[IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [ROOT[_i].re,ROOT[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp10r',Result);  {     tzp10r.res }
exit;
end;

end.
